Namely (PAT)

Overview

Pre-built tooling

✅ Authorization
ToolsStatus
Pre-built authorization (API Key)✅
Pre-built authorization UI✅
Custom authorization UI✅
End-user authorization guide✅
Expired credentials detection✅
✅ Read & write data
ToolsStatus
Pre-built integrations✅
API unification✅
2-way sync✅
Webhooks from Tenklo on data modifications✅
Real-time webhooks from 3rd-party API🚫 (time to contribute: <48h)
Proxy requests✅
✅ Observability & data quality
ToolsStatus
HTTP request logging✅
End-to-end type safety✅
Data runtime validation✅
OpenTelemetry export✅
Slack alerts on errors✅
Integration status API✅
✅ Customization
ToolsStatus
Create or customize use-cases✅
Pre-configured pagination🚫 (time to contribute: <48h)
Pre-configured rate-limit handling🚫 (time to contribute: <48h)
Per-customer configurations✅

Unified HRIS API

Function nameDescriptionTypeSource code
unified-employeesFetches a list of current employees from Namely and maps them to the standard HRIS modelSync🔗 Github

Access requirements

Pre-RequisitesStatusComment
Paid dev account✅ RequiredYou must have an active Namely account with API access. Self-service signup is not available. Contact Namely if you need access.
Paid test account✅ RequiredYou must use a real Namely account for testing. There is no free test account option.
Partnership✅ Not required
App review✅ Not required
Security audit✅ Not required

Setup guide

No setup guide yet.

Need help getting started? Get help in the community.
Contribute improvements to the setup guide by editing this page
Contribute useful links by editing this page

API gotchas

  • PATs have an expiration time of 2 years.
  • Namely API limits GET /profiles to 100 requests per minute, returning HTTP 406 if exceeded.
  • Namely (PAT) uses API_KEY auth mode with authorization: Bearer API_KEY in the request header to access different endpoints.
Contribute API gotchas by editing this page

Going further

Connect to Namely (PAT)

Guide to connect to Namely (PAT) using Connect UI

On this page